<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='Radio Example' :maxState="1")
  template(v-slot:description)
    h5 This is a simple Radio button
    p Click on the #[em animate] to toggle edit mode.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    h4 Interface of BaseRadio (similar to BaseToggle)
    div #[strong Properties:]
      ul
        +prop("name") the radio name (mandatory)
        +prop("value") the toggle current live value
        +prop("label") the label on the right of the toggle
        +prop("disabled") to activate disabled mode
        +prop("inEdit") enter/exit edit mode

    div #[strong Data:]
      ul
        +prop("editValue") edit mode currently selected value

    div #[strong Signals:]
      ul
        +prop("edit") emitted whenever editValue is changed (with editValue new content)

  template(v-slot:code)
    template(v-pre).
      div
        .row.justify-content-center.align-items-center.mb-2
          BaseRadio.col-12.col-sm-6(:value='false' :inEdit='state === 0' label='This is a radio' name='group1')
          BaseRadio.col-12.col-sm-6(:value='false' :inEdit='state === 0' name='group1')
            template(#label='c') this is another radio: {{ c.editValue ? "checked" : "unchecked" }}
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleRadio",
  components: { Example }
};

</script>
